#ifndef _MAPLE_WIRE_H_
#define _MAPLE_WIRE_H_

#include <stdio.h>

//common
void mapleWireInit(void);

//tx
void mapleWireTxStart(void);
void mapleWireTxStop(void);
void mapleWireTxByte(uint32_t val);

//rx (80MHz+ CPU req'd)
uint32_t mapleWireRx(uint8_t *dst, uint32_t len);

#endif
